Index: /trunk/ICeCoffEE/ICeCoffEE/English.lproj/Localizable.strings
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/English.lproj/Localizable.strings	(revision 81)
+++ /trunk/ICeCoffEE/ICeCoffEE/English.lproj/Localizable.strings	(revision 82)
@@ -30,4 +30,5 @@
 "Add" = "Add";
 "Cancel" = "Cancel";
+
 
 /**** Shared URL launching errors ****/
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser	(revision 81)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser	(revision 82)
@@ -23,389 +23,5 @@
 		);
 		perUserDictionary = {
-			PBXPerProjectTemplateStateSaveDate = 65885964;
-			"PBXTemplateGeometry-64ABBB4501FA494900185B06" = {
-				ContentSize = "{986, 684}";
-				LeftSlideOut = {
-					ActiveTab = 0;
-					ActiveTabName = PBXGroupTreeModule;
-					Collapsed = NO;
-					Frame = "{{0, 23}, {986, 661}}";
-					Split0 = {
-						Collapsed = NO;
-						Frame = "{{282, 0}, {704, 661}}";
-						Split0 = {
-							Frame = "{{0, 0}, {704, 661}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Frame = "{{0, 0}, {681, 289}}";
-						};
-						Tab1 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {681, 150}}";
-								Split0 = {
-									Frame = "{{0, 24}, {681, 126}}";
-									Split0 = {
-										Frame = "{{0, 0}, {333, 126}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											123,
-											Value,
-											85,
-											Summary,
-											105.123,
-										);
-										Frame = "{{342, 0}, {339, 126}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {681, 120}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab2 = {
-							Frame = "{{0, 0}, {681, 234}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {681, 234}}";
-							};
-						};
-						Tab3 = {
-							BuildMessageFrame = "{{0, 0}, {683, 205}}";
-							BuildTranscriptFrame = "{{0, 214}, {683, 2}}";
-							BuildTranscriptFrameExpanded = YES;
-							Frame = "{{0, 0}, {681, 238}}";
-						};
-						Tab4 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 5;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {258, 661}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							225,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {250, 333}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							207,
-						);
-						Frame = "{{0, 0}, {248, 554}}";
-						MembersFrame = "{{0, 342}, {250, 212}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							206,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {217, 554}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {239, 554}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							206.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 554}}";
-					};
-					TabCount = 5;
-					TabsVisible = YES;
-				};
-				NavBarShownByDefault = YES;
-				StatusViewVisible = YES;
-				Template = 64ABBB4501FA494900185B06;
-				ToolbarVisible = YES;
-				WindowLocation = "{-3, 432}";
-			};
-			"PBXTemplateGeometry-F5314676015831810DCA290F" = {
-				ContentSize = "{618, 257}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 23}, {618, 234}}";
-					Split0 = {
-						ActiveTab = 2;
-						ActiveTabName = PBXBuildResultsModule;
-						Collapsed = YES;
-						Frame = "{{0, 0}, {618, 234}}";
-						Split0 = {
-							Frame = "{{1e+06, 1e+06}, {618, 0}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Frame = "{{0, 0}, {952, 321}}";
-						};
-						Tab1 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {781, 452}}";
-								Split0 = {
-									Frame = "{{0, 24}, {781, 428}}";
-									Split0 = {
-										Frame = "{{0, 0}, {383, 428}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											123,
-											Value,
-											85,
-											Summary,
-											155.123,
-										);
-										Frame = "{{392, 0}, {389, 428}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {781, 452}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab2 = {
-							Frame = "{{0, 0}, {618, 228}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {618, 228}}";
-							};
-						};
-						Tab3 = {
-							BuildMessageFrame = "{{0, 0}, {620, 103}}";
-							BuildTranscriptFrame = "{{0, 112}, {620, 94}}";
-							BuildTranscriptFrameExpanded = YES;
-							Frame = "{{0, 0}, {618, 228}}";
-						};
-						Tab4 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 5;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {300, 533}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							267,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 100}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							202.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					TabCount = 5;
-					TabsVisible = NO;
-				};
-				NavBarShownByDefault = YES;
-				StatusViewVisible = YES;
-				Template = F5314676015831810DCA290F;
-				ToolbarVisible = YES;
-				WindowLocation = "{457, 317}";
-			};
-			"PBXTemplateGeometry-F5534CB2020F3F8A0DCA290F" = {
-				ContentSize = "{594, 303}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 23}, {594, 280}}";
-					Split0 = {
-						ActiveTab = 1;
-						ActiveTabName = PBXRunSessionModule;
-						Collapsed = YES;
-						Frame = "{{0, 0}, {594, 280}}";
-						Split0 = {
-							Frame = "{{1e+06, 1e+06}, {594, 0}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Frame = "{{0, 0}, {804, 321}}";
-						};
-						Tab1 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {594, 274}}";
-								Split0 = {
-									Frame = "{{0, 24}, {594, 250}}";
-									Split0 = {
-										Frame = "{{0, 0}, {290, 250}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											123,
-											Value,
-											85,
-											Summary,
-											62.123,
-										);
-										Frame = "{{299, 0}, {295, 250}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {594, 274}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab2 = {
-							Frame = "{{0, 0}, {594, 274}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {594, 274}}";
-							};
-						};
-						Tab3 = {
-							BuildMessageFrame = "{{0, 0}, {614, 262}}";
-							BuildTranscriptFrame = "{{0, 271}, {614, 2}}";
-							BuildTranscriptFrameExpanded = YES;
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						Tab4 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 5;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {300, 533}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							267,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 386}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							202.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 386}}";
-					};
-					TabCount = 5;
-					TabsVisible = NO;
-				};
-				NavBarShownByDefault = YES;
-				StatusViewVisible = YES;
-				Template = F5534CB2020F3F8A0DCA290F;
-				ToolbarVisible = YES;
-				WindowLocation = "{4, 633}";
-			};
+			PBXPerProjectTemplateStateSaveDate = 65919668;
 			PBXWorkspaceContents = (
 				{
@@ -414,15 +30,37 @@
 							Split0 = {
 								NavContent0 = {
+									bookmark = E120348F03EDEBC100000ABE;
 									history = (
-										E139ADD403ECF43F00000ABE,
-										E139ADD703ECF43F00000ABE,
+										E120347903EDEBC100000ABE,
+										E120347A03EDEBC100000ABE,
+										E120347B03EDEBC100000ABE,
+										E120347C03EDEBC100000ABE,
+										E120347D03EDEBC100000ABE,
+										E120347E03EDEBC100000ABE,
+										E120347F03EDEBC100000ABE,
+										E120348003EDEBC100000ABE,
+										E120348103EDEBC100000ABE,
+										E120348203EDEBC100000ABE,
+									);
+									nextStack = (
+										E120348E03EDEBC100000ABE,
 									);
 									prevStack = (
-										E139ADD603ECF43F00000ABE,
+										E120348303EDEBC100000ABE,
+										E120348403EDEBC100000ABE,
+										E120348503EDEBC100000ABE,
+										E120348603EDEBC100000ABE,
+										E120348703EDEBC100000ABE,
+										E120348803EDEBC100000ABE,
+										E120348903EDEBC100000ABE,
+										E120348A03EDEBC100000ABE,
+										E120348B03EDEBC100000ABE,
+										E120348C03EDEBC100000ABE,
+										E120348D03EDEBC100000ABE,
 									);
 								};
 								NavCount = 1;
 								NavGeometry0 = {
-									Frame = "{{0, 0}, {651, 150}}";
+									Frame = "{{0, 0}, {571, 548}}";
 									NavBarVisible = YES;
 								};
@@ -454,6 +92,206 @@
 					};
 				},
+				{
+					LeftSlideOut = {
+						Split0 = {
+							Split0 = {
+								NavCount = 1;
+								NavGeometry0 = {
+									Frame = "{{0, 0}, {618, 150}}";
+									NavBarVisible = YES;
+								};
+								NavSplitVertical = NO;
+							};
+							SplitCount = 1;
+							Tab1 = {
+								Debugger = {
+									Split0 = {
+										SplitCount = 2;
+									};
+									SplitCount = 1;
+									TabCount = 2;
+								};
+								LauncherConfigVersion = 7;
+							};
+							Tab2 = {
+								LauncherConfigVersion = 3;
+								Runner = {
+								};
+							};
+							TabCount = 5;
+						};
+						SplitCount = 1;
+						Tab1 = {
+							OptionsSetName = "Hierarchy, all classes";
+						};
+						TabCount = 5;
+					};
+				},
+				{
+					LeftSlideOut = {
+						Split0 = {
+							Split0 = {
+								NavCount = 1;
+								NavGeometry0 = {
+									Frame = "{{0, 0}, {594, 150}}";
+									NavBarVisible = YES;
+								};
+								NavSplitVertical = NO;
+							};
+							SplitCount = 1;
+							Tab1 = {
+								Debugger = {
+									Split0 = {
+										SplitCount = 2;
+									};
+									SplitCount = 1;
+									TabCount = 2;
+								};
+								LauncherConfigVersion = 7;
+							};
+							Tab2 = {
+								LauncherConfigVersion = 3;
+								Runner = {
+								};
+							};
+							TabCount = 5;
+						};
+						SplitCount = 1;
+						Tab1 = {
+							OptionsSetName = "Hierarchy, all classes";
+						};
+						TabCount = 5;
+					};
+				},
 			);
 			PBXWorkspaceGeometries = (
+				{
+					ContentSize = "{855, 571}";
+					LeftSlideOut = {
+						ActiveTab = 0;
+						ActiveTabName = PBXGroupTreeModule;
+						Collapsed = NO;
+						Frame = "{{0, 23}, {855, 548}}";
+						Split0 = {
+							Collapsed = NO;
+							Frame = "{{284, 0}, {571, 548}}";
+							Split0 = {
+								Frame = "{{0, 0}, {571, 548}}";
+							};
+							SplitCount = 1;
+							Tab0 = {
+								Frame = "{{0, 0}, {681, 289}}";
+							};
+							Tab1 = {
+								Debugger = {
+									Collapsed = NO;
+									Frame = "{{0, 0}, {681, 150}}";
+									Split0 = {
+										Frame = "{{0, 24}, {681, 126}}";
+										Split0 = {
+											Frame = "{{0, 0}, {333, 126}}";
+										};
+										Split1 = {
+											DebugVariablesTableConfiguration = (
+												Name,
+												123,
+												Value,
+												85,
+												Summary,
+												105.123,
+											);
+											Frame = "{{342, 0}, {339, 126}}";
+										};
+										SplitCount = 2;
+									};
+									SplitCount = 1;
+									Tab0 = {
+										Frame = "{{0, 0}, {100, 50}}";
+									};
+									Tab1 = {
+										Frame = "{{0, 0}, {100, 50}}";
+									};
+									TabCount = 2;
+									TabsVisible = YES;
+								};
+								Frame = "{{0, 0}, {681, 120}}";
+								LauncherConfigVersion = 7;
+							};
+							Tab2 = {
+								Frame = "{{0, 0}, {681, 234}}";
+								LauncherConfigVersion = 3;
+								Runner = {
+									Frame = "{{0, 0}, {681, 234}}";
+								};
+							};
+							Tab3 = {
+								BuildMessageFrame = "{{0, 0}, {683, 205}}";
+								BuildTranscriptFrame = "{{0, 214}, {683, 2}}";
+								BuildTranscriptFrameExpanded = YES;
+								Frame = "{{0, 0}, {681, 238}}";
+							};
+							Tab4 = {
+								Frame = "{{0, 0}, {612, 295}}";
+							};
+							TabCount = 5;
+							TabsVisible = NO;
+						};
+						SplitCount = 1;
+						Tab0 = {
+							Frame = "{{0, 0}, {260, 548}}";
+							GroupTreeTableConfiguration = (
+								TargetStatusColumn,
+								18,
+								MainColumn,
+								227,
+							);
+						};
+						Tab1 = {
+							ClassesFrame = "{{0, 0}, {250, 333}}";
+							ClassesTreeTableConfiguration = (
+								PBXBookColumnIdentifier,
+								20,
+								PBXClassColumnIdentifier,
+								207,
+							);
+							Frame = "{{0, 0}, {248, 554}}";
+							MembersFrame = "{{0, 342}, {250, 212}}";
+							MembersTreeTableConfiguration = (
+								PBXBookColumnIdentifier,
+								20,
+								PBXMethodColumnIdentifier,
+								206,
+							);
+						};
+						Tab2 = {
+							Frame = "{{0, 0}, {217, 554}}";
+						};
+						Tab3 = {
+							Frame = "{{0, 0}, {239, 554}}";
+							TargetTableConfiguration = (
+								ActiveObject,
+								16,
+								ObjectNames,
+								206.296,
+							);
+						};
+						Tab4 = {
+							BreakpointsTreeTableConfiguration = (
+								breakpointColumn,
+								197,
+								enabledColumn,
+								31,
+							);
+							Frame = "{{0, 0}, {250, 554}}";
+						};
+						TabCount = 5;
+						TabsVisible = YES;
+					};
+					NavBarShownByDefault = YES;
+					StatusViewVisible = YES;
+					Template = 64ABBB4501FA494900185B06;
+					ToolbarVisible = YES;
+					WindowLocation = "{2, 198}";
+				},
 				{
 					ContentSize = "{618, 257}";
@@ -582,13 +420,161 @@
 					Template = F5314676015831810DCA290F;
 					ToolbarVisible = YES;
-					WindowLocation = "{457, 317}";
+					WindowLocation = "{509, 82}";
+				},
+				{
+					ContentSize = "{594, 303}";
+					LeftSlideOut = {
+						Collapsed = NO;
+						Frame = "{{0, 23}, {594, 280}}";
+						Split0 = {
+							ActiveTab = 1;
+							ActiveTabName = PBXRunSessionModule;
+							Collapsed = YES;
+							Frame = "{{0, 0}, {594, 280}}";
+							Split0 = {
+								Frame = "{{1e+06, 1e+06}, {594, 27}}";
+							};
+							SplitCount = 1;
+							Tab0 = {
+								Frame = "{{0, 0}, {804, 321}}";
+							};
+							Tab1 = {
+								Debugger = {
+									Collapsed = NO;
+									Frame = "{{0, 0}, {594, 274}}";
+									Split0 = {
+										Frame = "{{0, 24}, {594, 250}}";
+										Split0 = {
+											Frame = "{{0, 0}, {290, 250}}";
+										};
+										Split1 = {
+											DebugVariablesTableConfiguration = (
+												Name,
+												123,
+												Value,
+												85,
+												Summary,
+												62.123,
+											);
+											Frame = "{{299, 0}, {295, 250}}";
+										};
+										SplitCount = 2;
+									};
+									SplitCount = 1;
+									Tab0 = {
+										Frame = "{{0, 0}, {100, 50}}";
+									};
+									Tab1 = {
+										Frame = "{{0, 0}, {100, 50}}";
+									};
+									TabCount = 2;
+									TabsVisible = YES;
+								};
+								Frame = "{{0, 0}, {594, 274}}";
+								LauncherConfigVersion = 7;
+							};
+							Tab2 = {
+								Frame = "{{0, 0}, {594, 274}}";
+								LauncherConfigVersion = 3;
+								Runner = {
+									Frame = "{{0, 0}, {594, 274}}";
+								};
+							};
+							Tab3 = {
+								BuildMessageFrame = "{{0, 0}, {614, 262}}";
+								BuildTranscriptFrame = "{{0, 271}, {614, 2}}";
+								BuildTranscriptFrameExpanded = YES;
+								Frame = "{{0, 0}, {612, 295}}";
+							};
+							Tab4 = {
+								Frame = "{{0, 0}, {612, 295}}";
+							};
+							TabCount = 5;
+							TabsVisible = NO;
+						};
+						SplitCount = 1;
+						Tab0 = {
+							Frame = "{{0, 0}, {300, 533}}";
+							GroupTreeTableConfiguration = (
+								TargetStatusColumn,
+								18,
+								MainColumn,
+								267,
+							);
+						};
+						Tab1 = {
+							ClassesFrame = "{{0, 0}, {280, 398}}";
+							ClassesTreeTableConfiguration = (
+								PBXBookColumnIdentifier,
+								20,
+								PBXClassColumnIdentifier,
+								237,
+							);
+							Frame = "{{0, 0}, {278, 659}}";
+							MembersFrame = "{{0, 407}, {280, 252}}";
+							MembersTreeTableConfiguration = (
+								PBXBookColumnIdentifier,
+								20,
+								PBXMethodColumnIdentifier,
+								236,
+							);
+						};
+						Tab2 = {
+							Frame = "{{0, 0}, {200, 100}}";
+						};
+						Tab3 = {
+							Frame = "{{0, 0}, {200, 386}}";
+							TargetTableConfiguration = (
+								ActiveObject,
+								16,
+								ObjectNames,
+								202.296,
+							);
+						};
+						Tab4 = {
+							BreakpointsTreeTableConfiguration = (
+								breakpointColumn,
+								197,
+								enabledColumn,
+								31,
+							);
+							Frame = "{{0, 0}, {250, 386}}";
+						};
+						TabCount = 5;
+						TabsVisible = NO;
+					};
+					NavBarShownByDefault = YES;
+					StatusViewVisible = YES;
+					Template = F5534CB2020F3F8A0DCA290F;
+					ToolbarVisible = YES;
+					WindowLocation = "{4, 467}";
 				},
 			);
-			PBXWorkspaceStateSaveDate = 65885964;
+			PBXWorkspaceStateSaveDate = 65919668;
 		};
 		perUserProjectItems = {
-			E139ADD403ECF43F00000ABE = E139ADD403ECF43F00000ABE;
-			E139ADD603ECF43F00000ABE = E139ADD603ECF43F00000ABE;
-			E139ADD703ECF43F00000ABE = E139ADD703ECF43F00000ABE;
+			E120347903EDEBC100000ABE = E120347903EDEBC100000ABE;
+			E120347A03EDEBC100000ABE = E120347A03EDEBC100000ABE;
+			E120347B03EDEBC100000ABE = E120347B03EDEBC100000ABE;
+			E120347C03EDEBC100000ABE = E120347C03EDEBC100000ABE;
+			E120347D03EDEBC100000ABE = E120347D03EDEBC100000ABE;
+			E120347E03EDEBC100000ABE = E120347E03EDEBC100000ABE;
+			E120347F03EDEBC100000ABE = E120347F03EDEBC100000ABE;
+			E120348003EDEBC100000ABE = E120348003EDEBC100000ABE;
+			E120348103EDEBC100000ABE = E120348103EDEBC100000ABE;
+			E120348203EDEBC100000ABE = E120348203EDEBC100000ABE;
+			E120348303EDEBC100000ABE = E120348303EDEBC100000ABE;
+			E120348403EDEBC100000ABE = E120348403EDEBC100000ABE;
+			E120348503EDEBC100000ABE = E120348503EDEBC100000ABE;
+			E120348603EDEBC100000ABE = E120348603EDEBC100000ABE;
+			E120348703EDEBC100000ABE = E120348703EDEBC100000ABE;
+			E120348803EDEBC100000ABE = E120348803EDEBC100000ABE;
+			E120348903EDEBC100000ABE = E120348903EDEBC100000ABE;
+			E120348A03EDEBC100000ABE = E120348A03EDEBC100000ABE;
+			E120348B03EDEBC100000ABE = E120348B03EDEBC100000ABE;
+			E120348C03EDEBC100000ABE = E120348C03EDEBC100000ABE;
+			E120348D03EDEBC100000ABE = E120348D03EDEBC100000ABE;
+			E120348E03EDEBC100000ABE = E120348E03EDEBC100000ABE;
+			E120348F03EDEBC100000ABE = E120348F03EDEBC100000ABE;
 		};
 		projectwideBuildSettings = {
@@ -597,4 +583,234 @@
 		wantsIndex = 1;
 		wantsSCM = -1;
+	};
+	E120347903EDEBC100000ABE = {
+		fRef = E182C8F603DE817F00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEShared.m: __VERSION__";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1401;
+		vrLoc = 0;
+	};
+	E120347A03EDEBC100000ABE = {
+		fRef = E1BF15BD03DBBD3E00050002;
+		isa = PBXTextBookmark;
+		name = "package-ICeCoffEE.sh: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1161;
+		vrLoc = 0;
+	};
+	E120347B03EDEBC100000ABE = {
+		fRef = E1BF166A03DBE27000050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEWebKit.m: __VERSION__";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 797;
+		vrLoc = 0;
+	};
+	E120347C03EDEBC100000ABE = {
+		fRef = E169DBA103E4EF5E00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEETextEdit.c: __VERSION__";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1370;
+		vrLoc = 0;
+	};
+	E120347D03EDEBC100000ABE = {
+		fRef = 089C165DFE840E0CC02AAC07;
+		isa = PBXTextBookmark;
+		name = "English: 5";
+		rLen = 0;
+		rLoc = 147;
+		rType = 0;
+		vrLen = 230;
+		vrLoc = 0;
+	};
+	E120347E03EDEBC100000ABE = {
+		fRef = E1CBC99803E7602700050002;
+		isa = PBXTextBookmark;
+		name = "English: 33";
+		rLen = 0;
+		rLoc = 744;
+		rType = 0;
+		vrLen = 878;
+		vrLoc = 0;
+	};
+	E120347F03EDEBC100000ABE = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEActionMenu.c: ICCF_DoURLActionMenu";
+		rLen = 0;
+		rLoc = 8192;
+		rType = 0;
+		vrLen = 1275;
+		vrLoc = 8163;
+	};
+	E120348003EDEBC100000ABE = {
+		fRef = E13762D203EC636D00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEBookmarks.c: ICCF_DoBookmarkDialog";
+		rLen = 70;
+		rLoc = 6647;
+		rType = 0;
+		vrLen = 1743;
+		vrLoc = 5828;
+	};
+	E120348103EDEBC100000ABE = {
+		fRef = E1BF15A503DBAA5600050002;
+		isa = PBXTextBookmark;
+		name = "ui.plist: 41";
+		rLen = 0;
+		rLoc = 1188;
+		rType = 0;
+		vrLen = 1038;
+		vrLoc = 285;
+	};
+	E120348203EDEBC100000ABE = {
+		fRef = F56276C20379923401AA4DA5;
+		isa = PBXTextBookmark;
+		name = "APEInfo.rtfd: 122";
+		rLen = 0;
+		rLoc = 7755;
+		rType = 0;
+		vrLen = 1000;
+		vrLoc = 12603;
+	};
+	E120348303EDEBC100000ABE = {
+		fRef = E182C8F603DE817F00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEShared.m: __VERSION__";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1401;
+		vrLoc = 0;
+	};
+	E120348403EDEBC100000ABE = {
+		fRef = E1BF15BD03DBBD3E00050002;
+		isa = PBXTextBookmark;
+		name = "package-ICeCoffEE.sh: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1161;
+		vrLoc = 0;
+	};
+	E120348503EDEBC100000ABE = {
+		fRef = 089C165DFE840E0CC02AAC07;
+		isa = PBXTextBookmark;
+		name = "English: 5";
+		rLen = 0;
+		rLoc = 147;
+		rType = 0;
+		vrLen = 230;
+		vrLoc = 0;
+	};
+	E120348603EDEBC100000ABE = {
+		fRef = F56276C20379923401AA4DA5;
+		isa = PBXTextBookmark;
+		name = "APEInfo.rtfd: 23";
+		rLen = 0;
+		rLoc = 827;
+		rType = 0;
+		vrLen = 907;
+		vrLoc = 0;
+	};
+	E120348703EDEBC100000ABE = {
+		fRef = E1BF166A03DBE27000050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEWebKit.m: __VERSION__";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 797;
+		vrLoc = 0;
+	};
+	E120348803EDEBC100000ABE = {
+		fRef = E169DBA103E4EF5E00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEETextEdit.c: __VERSION__";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1370;
+		vrLoc = 0;
+	};
+	E120348903EDEBC100000ABE = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEActionMenu.c: mousePoint";
+		rLen = 0;
+		rLoc = 8192;
+		rType = 0;
+		vrLen = 1513;
+		vrLoc = 6908;
+	};
+	E120348A03EDEBC100000ABE = {
+		fRef = 089C165DFE840E0CC02AAC07;
+		isa = PBXTextBookmark;
+		name = "English: 5";
+		rLen = 0;
+		rLoc = 147;
+		rType = 0;
+		vrLen = 230;
+		vrLoc = 0;
+	};
+	E120348B03EDEBC100000ABE = {
+		fRef = E1CBC99803E7602700050002;
+		isa = PBXTextBookmark;
+		name = "English: 33";
+		rLen = 0;
+		rLoc = 744;
+		rType = 0;
+		vrLen = 878;
+		vrLoc = 0;
+	};
+	E120348C03EDEBC100000ABE = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEActionMenu.c: ICCF_DoURLActionMenu";
+		rLen = 0;
+		rLoc = 8192;
+		rType = 0;
+		vrLen = 1275;
+		vrLoc = 8163;
+	};
+	E120348D03EDEBC100000ABE = {
+		fRef = E13762D203EC636D00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEBookmarks.c: ICCF_DoBookmarkDialog";
+		rLen = 70;
+		rLoc = 6647;
+		rType = 0;
+		vrLen = 1743;
+		vrLoc = 5828;
+	};
+	E120348E03EDEBC100000ABE = {
+		fRef = E1BF15A503DBAA5600050002;
+		isa = PBXTextBookmark;
+		name = "ui.plist: 41";
+		rLen = 0;
+		rLoc = 1188;
+		rType = 0;
+		vrLen = 1038;
+		vrLoc = 285;
+	};
+	E120348F03EDEBC100000ABE = {
+		fRef = F56276C20379923401AA4DA5;
+		isa = PBXTextBookmark;
+		name = "APEInfo.rtfd: 19";
+		rLen = 0;
+		rLoc = 614;
+		rType = 0;
+		vrLen = 907;
+		vrLoc = 0;
 	};
 	E1317A3503DF242100050002 = {
@@ -730,34 +946,4 @@
 		state = 1;
 	};
-	E139ADD403ECF43F00000ABE = {
-		fRef = E165AB3603E7A7FC00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEActionMenu.c: ICCF_AddAppToMenu";
-		rLen = 0;
-		rLoc = 1988;
-		rType = 0;
-		vrLen = 371;
-		vrLoc = 993;
-	};
-	E139ADD603ECF43F00000ABE = {
-		fRef = E165AB3603E7A7FC00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEActionMenu.c: ICCF_AddAppToMenu";
-		rLen = 0;
-		rLoc = 1988;
-		rType = 0;
-		vrLen = 371;
-		vrLoc = 993;
-	};
-	E139ADD703ECF43F00000ABE = {
-		fRef = E13762D203EC636D00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEBookmarks.c: ICCF_AddBookmark";
-		rLen = 0;
-		rLoc = 3317;
-		rType = 0;
-		vrLen = 219;
-		vrLoc = 2955;
-	};
 	E14994BA03DE8A4D00050002 = {
 		fRef = F9A6987103BE1DFF00AA4DA5;
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEActionMenu.c
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEActionMenu.c	(revision 81)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEActionMenu.c	(revision 82)
@@ -187,4 +187,5 @@
         if ( (err = AppendMenuItemTextWithCFString(ctx.menu, ICCF_CopyLocalizedString(CFSTR("Add Bookmark")), kMenuItemAttrDisabled, 0, &menuItemIndex)) != noErr)
             THROW_ERR(err);
+        // the app won't show up at the bottom if someone cmd-option-clicks on 'bookmark:', but they'd have to be crazy to do that anyway
         if ( (err = ICCF_AddAppToMenu(&ctx, appURL, kICURLActionAddBookmark)) != noErr)
             THROW_ERR(err);
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEBookmarks.c
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEBookmarks.c	(revision 81)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEBookmarks.c	(revision 82)
@@ -140,4 +140,10 @@
 }
 
+// XXX workaround for CFUserNotificationCreate log message in 10.2.4 at least
+#include <stdio.h>
+#include <unistd.h>
+#include <fcntl.h>
+// XXX end workaround
+
 OSStatus ICCF_DoBookmarkDialog(ICInstance inst, CFStringRef url) {
 
@@ -165,6 +171,15 @@
     if (textFieldTitlesArray != NULL) CFRelease(textFieldTitlesArray);
     if (textFieldValuesArray != NULL) CFRelease(textFieldValuesArray);
-    
+
+    // XXX suppress log message from Apple's code:
+    // 2003-02-02 17:48:26.896 TextEdit[2790] CFLog (20): Add Bookmark:  Bookmark name and description are optional.
+    int errfd = dup(STDERR_FILENO), nullfd = open("/dev/null", O_WRONLY, 0);
+    // need to have something open in STDERR_FILENO because if it isn't,
+    // CFLog will log to /dev/console
+    dup2(nullfd, STDERR_FILENO);
+    close(nullfd);
     CFUserNotificationRef notification = CFUserNotificationCreate(NULL, 0, kCFUserNotificationPlainAlertLevel, &err, dict);
+    dup2(errfd, STDERR_FILENO);
+    close(errfd);
     if (notification == NULL) {
         CFRelease(dict);
Index: /trunk/ICeCoffEE/ICeCoffEE/Installer components/ui/ui.plist
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/Installer components/ui/ui.plist	(revision 81)
+++ /trunk/ICeCoffEE/ICeCoffEE/Installer components/ui/ui.plist	(revision 82)
@@ -39,9 +39,9 @@
 	<string>ICeCoffEE</string>
 	<key>ProductNumVersion</key>
-	<integer>19947523</integer>
+	<integer>19955712</integer>
 	<key>ProductType</key>
 	<string>Preference Pane</string>
 	<key>ProductVersion</key>
-	<string>1.3b3</string>
+	<string>1.3</string>
 </dict>
 </plist>
Index: /trunk/ICeCoffEE/ICeCoffEE/VERSION
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/VERSION	(revision 81)
+++ /trunk/ICeCoffEE/ICeCoffEE/VERSION	(revision 82)
@@ -1,1 +1,1 @@
-1.3b3
+1.3
